package main

import rl "github.com/gen2brain/raylib-go/raylib"

var selectedColor = "Rosewater"
var selectedTheme = "Night"
var selectedLayout = "Tabs on Top"
var contrastLevel = 1

// Catppuccin inspired color themes
var catColors = []ColorOption{
	{"Rosewater", rl.Color{R: 245, G: 224, B: 220, A: 255}},
	{"Flamingo", rl.Color{R: 242, G: 205, B: 205, A: 255}},
	{"Peach", rl.Color{R: 250, G: 179, B: 135, A: 255}},
	{"Yellow", rl.Color{R: 249, G: 226, B: 175, A: 255}},
	{"Green", rl.Color{R: 166, G: 227, B: 161, A: 255}},
	{"Teal", rl.Color{R: 148, G: 226, B: 213, A: 255}},
	{"Blue", rl.Color{R: 137, G: 180, B: 250, A: 255}},
	{"Lavender", rl.Color{R: 180, G: 190, B: 254, A: 255}},
}

var layoutOptions = []LayoutOption{
	{"Tabs on Top"},
	{"Vertical Left"},
	{"Vertical Right"},
}
